> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get due date scheme



## OpenAPI

````yaml /openapi/phrase-tms-all.json get /api2/v1/dueDateSchemes/{dueDateSchemeUid}
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: All
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: User Profile
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/dueDateSchemes/{dueDateSchemeUid}:
    get:
      tags:
        - Due Date Scheme
      summary: Get due date scheme
      operationId: getDueDateScheme
      parameters:
        - name: dueDateSchemeUid
          in: path
          description: UID of the due date scheme
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DueDateSchemeDtoV1'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    DueDateSchemeDtoV1:
      type: object
      properties:
        afterDelivery:
          $ref: '#/components/schemas/DueDateDeliveryRuleDtoV1'
        afterStart:
          $ref: '#/components/schemas/DueDateStartRuleDtoV1'
        deadlineExtensions:
          type: array
          description: Deadline extension rules
          items:
            $ref: '#/components/schemas/DeadlineExtensionDtoV1'
        default:
          type: boolean
        duringDelivery:
          $ref: '#/components/schemas/DueDateDeliveryRuleDtoV1'
        duringStart:
          $ref: '#/components/schemas/DueDateStartRuleDtoV1'
        name:
          type: string
          description: Name of the due date scheme
        nonBusinessDays:
          type: array
          description: Dates excluded as non-business days
          items:
            type: string
            format: date-time
        officeHours:
          $ref: '#/components/schemas/OfficeHoursDtoV1'
        quota:
          $ref: '#/components/schemas/QuotaDtoV1'
        uid:
          type: string
          description: Unique identifier of the due date scheme
        workingDays:
          type: array
          description: Days of week considered working days. Empty means every day.
          uniqueItems: true
          items:
            type: string
            enum:
              - MONDAY
              - TUESDAY
              - WEDNESDAY
              - THURSDAY
              - FRIDAY
              - SATURDAY
              - SUNDAY
      description: Due date scheme details
    DueDateDeliveryRuleDtoV1:
      type: object
      properties:
        option:
          type: string
          description: >-
            Rule applied to determine the due date completion time: QUOTA_BASED
            completes at the date/time calculated from the quota; CUSTOM_BASED
            completes at "time" of the day resolved by "timeUnit".
          enum:
            - QUOTA_BASED
            - CUSTOM_BASED
        time:
          type: integer
          format: int32
          description: Delivery time
        timeUnit:
          type: string
          description: >-
            Unit used to resolve the delivery time - a calendar day or a working
            day. Default: DAY
          enum:
            - DAY
            - WORKING_DAY
      description: >-
        Rule applied to determine the due date completion time, based on when
        the job is completed relative to office hours
    DueDateStartRuleDtoV1:
      type: object
      properties:
        dayTypeUnit:
          type: string
          description: >-
            Whether the start time applies on the same day or the next matching
            day. Default: SAME
          enum:
            - SAME
            - NEXT
        hoursAfterSubmission:
          type: integer
          format: int32
          description: Hours after submission to start counting
        option:
          type: string
          description: >-
            Rule applied to determine when counting towards the due date starts:
            IMMEDIATELY starts right away; HOURS_AFTER starts after
            "hoursAfterSubmission" hours; SPECIFIC_DAY_TIME starts at
            "startTime" of the day resolved by "dayTypeUnit" and
            "startTimeUnit".
          enum:
            - IMMEDIATELY
            - HOURS_AFTER
            - SPECIFIC_DAY_TIME
        startTime:
          type: integer
          format: int32
          description: Time to start counting from
        startTimeUnit:
          type: string
          description: >-
            Unit used to resolve the start time - a calendar day or a working
            day. Default: DAY
          enum:
            - DAY
            - WORKING_DAY
      description: >-
        Rule applied to determine the due date start time, based on when the job
        was received relative to office hours
    DeadlineExtensionDtoV1:
      type: object
      required:
        - numberOfTimeUnits
        - quantity
        - timeUnit
        - unit
      properties:
        numberOfTimeUnits:
          type: integer
          format: int32
          description: Number of time units to extend the due date by
        quantity:
          type: integer
          format: int32
          description: Minimum quantity of billing units to trigger the extension
        timeUnit:
          type: string
          description: Time unit of the extension
          enum:
            - HOUR
            - DAY
        unit:
          type: string
          description: Billing unit of the quantity
          enum:
            - Character
            - Word
            - Page
            - Hour
      description: Due date deadline extension rule
    OfficeHoursDtoV1:
      type: object
      required:
        - from
        - to
      properties:
        from:
          type: integer
          format: int32
          description: Office hours start time, in HHmm format, e.g. 900 for 09:00
        to:
          type: integer
          format: int32
          description: >-
            Office hours end time, in HHmm format, e.g. 1700 for 17:00. Must be
            after "from"
      description: Office hours window used to calculate the due date
    QuotaDtoV1:
      type: object
      required:
        - quantity
      properties:
        quantity:
          type: integer
          format: int32
          description: Quota quantity, must be greater than 0
        timeUnit:
          type: string
          description: 'Time unit of the quota. Default: DAY'
          enum:
            - HOUR
            - DAY
        unit:
          type: string
          description: 'Billing unit of the quota. Default: Word'
          enum:
            - Character
            - Word
            - Page
            - Hour
      description: Volume of work a due date scheme's quota is calculated from
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````